ChangeSet 1.985.10.17, 2003/03/25 13:49:07-08:00, mdharm-usb@one-eyed-alien.net

[PATCH] usb-storage: cleanup

This patch changes some debugging output to be a bit more clear, and
removes some un-needed code -- it's no longer possible for us to have
active URBs in the disconnect path.


 drivers/usb/storage/usb.c |    6 +-----
 1 files changed, 1 insertion(+), 5 deletions(-)


diff -Nru a/drivers/usb/storage/usb.c b/drivers/usb/storage/usb.c
--- a/drivers/usb/storage/usb.c	Tue Mar 25 16:44:56 2003
+++ b/drivers/usb/storage/usb.c	Tue Mar 25 16:44:56 2003
@@ -360,7 +360,7 @@
 		}
 
 		else if (us->srb->device->lun > us->max_lun) {
-			US_DEBUGP("Bad LUN (%d/%d)\n",
+			US_DEBUGP("Bad LUN (%d:%d)\n",
 				  us->srb->device->id, us->srb->device->lun);
 			us->srb->result = DID_BAD_TARGET << 16;
 		}
@@ -475,8 +475,6 @@
  */
 static void usb_stor_deallocate_urbs(struct us_data *ss)
 {
-	int result;
-
 	/* free the scatter-gather request block */
 	if (ss->current_sg) {
 		kfree(ss->current_sg);
@@ -486,8 +484,6 @@
 	/* free up the main URB for this device */
 	if (ss->current_urb) {
 		US_DEBUGP("-- releasing main URB\n");
-		result = usb_unlink_urb(ss->current_urb);
-		US_DEBUGP("-- usb_unlink_urb() returned %d\n", result);
 		usb_free_urb(ss->current_urb);
 		ss->current_urb = NULL;
 	}
